| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingContactAttributes Class Reference
Client-side proxies » Connection proxies

The PendingContactAttributes class represents the parameters of and the reply to an asynchronous request for raw contact attributes, as used in the ConnectionLowlevel::contactAttributes() low-level convenience method wrapping the Client::ConnectionInterfaceContactsInterface::GetContactAttributes() D-Bus method. More...

`#include <TelepathyQt/PendingContactAttributes>`

Inheritance diagram for Tp::PendingContactAttributes:
[legend]

## Public Member Functions

| ~PendingContactAttributes ()
ConnectionPtr | connection () const
const UIntList & | contactsRequested () const
const QStringList & | interfacesRequested () const
bool | shouldReference () const
ReferencedHandles | validHandles () const
UIntList | invalidHandles () const
ContactAttributesMap | attributes () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The PendingContactAttributes class represents the parameters of and the reply to an asynchronous request for raw contact attributes, as used in the ConnectionLowlevel::contactAttributes() low-level convenience method wrapping the Client::ConnectionInterfaceContactsInterface::GetContactAttributes() D-Bus method.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingContactAttributes::~PendingContactAttributes | ( |  | ) |

Class destructor.

## Member Function Documentation

ConnectionPtr Tp::PendingContactAttributes::connection | ( |  | ) | const

Return the connection through which the request was made.

Returns
  A pointer to the Connection object.

const UIntList & Tp::PendingContactAttributes::contactsRequested | ( |  | ) | const

Return the contacts for which attributes were requested.

Returns
  Reference to a list with the handles of the contacts.

const QStringList & Tp::PendingContactAttributes::interfacesRequested | ( |  | ) | const

Return the interfaces the corresponding attributes of which were requested.

Returns
  Reference to a list of D-Bus interface names.

bool Tp::PendingContactAttributes::shouldReference | ( |  | ) | const

Return whether it was requested that the contact handles should be referenced in addition to fetching their attributes. This corresponds to the `reference` argument to Connection::contactAttributes().

Returns
  Whether the handles should be referenced or not.

ReferencedHandles Tp::PendingContactAttributes::validHandles | ( |  | ) | const

If referencing the handles was requested (as indicated by shouldReference()), returns the now-referenced handles resulting from the operation. If the operation has not (yet) finished successfully (isFinished() returns `false`), or referencing was not requested, the return value is undefined.

Even if referencing was requested, the list will not always contain all of the handles in contactsRequested(), only the ones which were valid. The valid handles will be in the same order as in contactsRequested(), though.

Returns
  ReferencedHandles instance containing the handles.

UIntList Tp::PendingContactAttributes::invalidHandles | ( |  | ) | const

Return the handles which were found to be invalid while processing the operation. If the operation has not (yet) finished successfully (isFinished() returns `false`), the return value is undefined.

Returns
  A list with the invalid handles.

ContactAttributesMap Tp::PendingContactAttributes::attributes | ( |  | ) | const

Return a dictionary mapping the valid contact handles in contactsRequested() (when also referencing, this means the contents of validHandles()) to contact attributes. If the operation has not (yet) finished successfully (isFinished() returns `false`), the return value is undefined.

Returns
  Mapping from handles to variant maps containing the attributes.